com.mockobjects.naming.directory

## Class MockDirContext

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.naming.MockContext
    - - com.mockobjects.naming.directory.MockDirContext

All Implemented Interfaces:
  Verifiable, javax.naming.Context, javax.naming.directory.DirContext

    public class MockDirContext
    extends MockContext
    implements javax.naming.directory.DirContext

### Field Summary

### Fields inherited from interface javax.naming.directory.DirContext

`ADD_ATTRIBUTE, REMOVE_ATTRIBUTE, REPLACE_ATTRIBUTE`

### Fields inherited from interface javax.naming.Context

`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

### Constructor Summary

Constructors
Constructor and Description
`MockDirContext()`

### Method Summary

Methods
`void` `bind(javax.naming.Name aName, java.lang.Object object, javax.naming.directory.Attributes attributes)`
`void` `bind(java.lang.String aName, java.lang.Object object, javax.naming.directory.Attributes attributes)`
`javax.naming.directory.DirContext` `createSubcontext(javax.naming.Name aName, javax.naming.directory.Attributes attributes)`
`javax.naming.directory.DirContext` `createSubcontext(java.lang.String aName, javax.naming.directory.Attributes attributes)`
`javax.naming.directory.Attributes` `getAttributes(javax.naming.Name aName)`
`javax.naming.directory.Attributes` `getAttributes(javax.naming.Name aName, java.lang.String[] attrIds)`
`javax.naming.directory.Attributes` `getAttributes(java.lang.String aName)`
`javax.naming.directory.Attributes` `getAttributes(java.lang.String aName, java.lang.String[] attrIds)`
`javax.naming.directory.DirContext` `getSchema(javax.naming.Name aName)`
`javax.naming.directory.DirContext` `getSchema(java.lang.String aName)`
`javax.naming.directory.DirContext` `getSchemaClassDefinition(javax.naming.Name aName)`
`javax.naming.directory.DirContext` `getSchemaClassDefinition(java.lang.String aName)`
`void` `modifyAttributes(javax.naming.Name aName, int aModificationOperation, javax.naming.directory.Attributes attributes)`
`void` `modifyAttributes(javax.naming.Name aName, javax.naming.directory.ModificationItem[] mods)`
`void` `modifyAttributes(java.lang.String aName, int aModificationOperation, javax.naming.directory.Attributes attributes)`
`void` `modifyAttributes(java.lang.String aName, javax.naming.directory.ModificationItem[] mods)`
`void` `rebind(javax.naming.Name aName, java.lang.Object object, javax.naming.directory.Attributes attributes)`
`void` `rebind(java.lang.String aName, java.lang.Object object, javax.naming.directory.Attributes attributes)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name aName, javax.naming.directory.Attributes attributes)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name aName, javax.naming.directory.Attributes attributes, java.lang.String[] anAttributeToReturn)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name aName, java.lang.String aFilter, java.lang.Object[] filterArgs, javax.naming.directory.SearchControls cons)`
`javax.naming.NamingEnumeration` `search(javax.naming.Name aName, java.lang.String aFilter, javax.naming.directory.SearchControls cons)`
`javax.naming.NamingEnumeration` `search(java.lang.String aName, javax.naming.directory.Attributes attributes)`
`javax.naming.NamingEnumeration` `search(java.lang.String aName, javax.naming.directory.Attributes attributes, java.lang.String[] anAttributeToReturn)`
`javax.naming.NamingEnumeration` `search(java.lang.String aName, java.lang.String aFilter, java.lang.Object[] filterArgs, javax.naming.directory.SearchControls cons)`
`javax.naming.NamingEnumeration` `search(java.lang.String aSearchName, java.lang.String aFilter, javax.naming.directory.SearchControls searchControls)`
`void` `setExpectedGetAttributesCount(int callCount)`
`void` `setExpectedGetAttributesName(java.lang.Object aName)`
`void` `setExpectedModifyAttributes(java.lang.String aName, int aModificationOperation, javax.naming.directory.Attributes attributes)`
`void` `setExpectedSearch(java.lang.String aSearchName, java.lang.String aFilter, javax.naming.directory.SearchControls searchControls)`
`void` `setupAttributes(javax.naming.directory.Attributes anAttributeToReturn)`
`void` `setupSearchResult(javax.naming.NamingEnumeration results)`

### Methods inherited from class com.mockobjects.naming.MockContext

`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, setExpectedBind, setExpectedCreateSubContext, setExpectedLookupName, setExpectedReBind, setupAddCreateSubContext, setupAddLookup, unbind, unbind`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.naming.Context

`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

### Constructor Detail

#### MockDirContext

    public MockDirContext()

### Method Detail

#### setupAttributes

    public void setupAttributes(javax.naming.directory.Attributes anAttributeToReturn)

#### setExpectedGetAttributesName

    public void setExpectedGetAttributesName(java.lang.Object aName)

#### setExpectedGetAttributesCount

    public void setExpectedGetAttributesCount(int callCount)

#### getAttributes

    public javax.naming.directory.Attributes getAttributes(javax.naming.Name aName)
                                                    throws javax.naming.NamingException

Specified by:
  `getAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### getAttributes

    public javax.naming.directory.Attributes getAttributes(java.lang.String aName)
                                                    throws javax.naming.NamingException

Specified by:
  `getAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### getAttributes

    public javax.naming.directory.Attributes getAttributes(javax.naming.Name aName,
                                                  java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

Specified by:
  `getAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### getAttributes

    public javax.naming.directory.Attributes getAttributes(java.lang.String aName,
                                                  java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

Specified by:
  `getAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### setExpectedModifyAttributes

    public void setExpectedModifyAttributes(java.lang.String aName,
                                   int aModificationOperation,
                                   javax.naming.directory.Attributes attributes)

#### modifyAttributes

    public void modifyAttributes(javax.naming.Name aName,
                        int aModificationOperation,
                        javax.naming.directory.Attributes attributes)
                          throws javax.naming.NamingException

Specified by:
  `modifyAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### modifyAttributes

    public void modifyAttributes(java.lang.String aName,
                        int aModificationOperation,
                        javax.naming.directory.Attributes attributes)
                          throws javax.naming.NamingException

Specified by:
  `modifyAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### modifyAttributes

    public void modifyAttributes(javax.naming.Name aName,
                        javax.naming.directory.ModificationItem[] mods)
                          throws javax.naming.NamingException

Specified by:
  `modifyAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### modifyAttributes

    public void modifyAttributes(java.lang.String aName,
                        javax.naming.directory.ModificationItem[] mods)
                          throws javax.naming.NamingException

Specified by:
  `modifyAttributes` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### bind

    public void bind(javax.naming.Name aName,
            java.lang.Object object,
            javax.naming.directory.Attributes attributes)
              throws javax.naming.NamingException

Specified by:
  `bind` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### bind

    public void bind(java.lang.String aName,
            java.lang.Object object,
            javax.naming.directory.Attributes attributes)
              throws javax.naming.NamingException

Specified by:
  `bind` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### rebind

    public void rebind(javax.naming.Name aName,
              java.lang.Object object,
              javax.naming.directory.Attributes attributes)
                throws javax.naming.NamingException

Specified by:
  `rebind` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### rebind

    public void rebind(java.lang.String aName,
              java.lang.Object object,
              javax.naming.directory.Attributes attributes)
                throws javax.naming.NamingException

Specified by:
  `rebind` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### createSubcontext

    public javax.naming.directory.DirContext createSubcontext(javax.naming.Name aName,
                                                     javax.naming.directory.Attributes attributes)
                                                       throws javax.naming.NamingException

Specified by:
  `createSubcontext` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### createSubcontext

    public javax.naming.directory.DirContext createSubcontext(java.lang.String aName,
                                                     javax.naming.directory.Attributes attributes)
                                                       throws javax.naming.NamingException

Specified by:
  `createSubcontext` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### getSchema

    public javax.naming.directory.DirContext getSchema(javax.naming.Name aName)
                                                throws javax.naming.NamingException

Specified by:
  `getSchema` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### getSchema

    public javax.naming.directory.DirContext getSchema(java.lang.String aName)
                                                throws javax.naming.NamingException

Specified by:
  `getSchema` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### getSchemaClassDefinition

    public javax.naming.directory.DirContext getSchemaClassDefinition(javax.naming.Name aName)
                                                               throws javax.naming.NamingException

Specified by:
  `getSchemaClassDefinition` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### getSchemaClassDefinition

    public javax.naming.directory.DirContext getSchemaClassDefinition(java.lang.String aName)
                                                               throws javax.naming.NamingException

Specified by:
  `getSchemaClassDefinition` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### search

    public javax.naming.NamingEnumeration search(javax.naming.Name aName,
                                        javax.naming.directory.Attributes attributes,
                                        java.lang.String[] anAttributeToReturn)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### search

    public javax.naming.NamingEnumeration search(java.lang.String aName,
                                        javax.naming.directory.Attributes attributes,
                                        java.lang.String[] anAttributeToReturn)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### search

    public javax.naming.NamingEnumeration search(javax.naming.Name aName,
                                        javax.naming.directory.Attributes attributes)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### search

    public javax.naming.NamingEnumeration search(java.lang.String aName,
                                        javax.naming.directory.Attributes attributes)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### search

    public javax.naming.NamingEnumeration search(javax.naming.Name aName,
                                        java.lang.String aFilter,
                                        javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### setExpectedSearch

    public void setExpectedSearch(java.lang.String aSearchName,
                         java.lang.String aFilter,
                         javax.naming.directory.SearchControls searchControls)

#### setupSearchResult

    public void setupSearchResult(javax.naming.NamingEnumeration results)

#### search

    public javax.naming.NamingEnumeration search(java.lang.String aSearchName,
                                        java.lang.String aFilter,
                                        javax.naming.directory.SearchControls searchControls)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### search

    public javax.naming.NamingEnumeration search(javax.naming.Name aName,
                                        java.lang.String aFilter,
                                        java.lang.Object[] filterArgs,
                                        javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`

#### search

    public javax.naming.NamingEnumeration search(java.lang.String aName,
                                        java.lang.String aFilter,
                                        java.lang.Object[] filterArgs,
                                        javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

Specified by:
  `search` in interface `javax.naming.directory.DirContext`
Throws:
  `javax.naming.NamingException`